#include <iostream>
#include <fstream>
#include <sstream>
#include <cstdlib>
#include <vector>
#include <cstring>
#include <cmath>
#include <set>
#include <algorithm>
 
using namespace std;
 
double stringToDouble(string x){
    double res;
    stringstream ss(x);
    ss >> res;
    return res;
}
 
int main(int argc, char *argv[])
{
	ios_base::sync_with_stdio(0);
	string infile = getenv("SPRW_WORKING_DIR"); infile+="/taskdata/"; infile+=getenv("SPR_infile");
	string outfile = getenv("SPRW_WORKING_DIR"); outfile+="/taskdata/"; outfile+=getenv("SPR_outfile");
	ifstream in(infile.c_str());
    ifstream out(outfile.c_str());
	// input
	int lz;
	in >> lz;
	while(lz--){
	    string actual;
	    out >> actual;
	    string given;
	    cin >> given;
	        
	    if ( cin.fail() || (actual == "NIE" && given != "NIE") ) return 1;
	    
	    if ( actual != "NIE" ){
	        double givenVal = stringToDouble(given);
	        double actualVal = stringToDouble(actual);
	    
	    
	        if ( abs(givenVal-actualVal) > 0.1 ){
	            return 1;
	        }
	    }
	}
 
	return 0;
}
